﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace GanttViewCustomColumnAppearance
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Task task = new Task();
            task.StartDateTime = DateTime.Now;
            task.Duration = new TimeSpan(2,0,0,0);
            task.Name = "Task 1";
            ultraCalendarInfo1.Tasks.Add(task);


            Task task2 = new Task();
            task2.StartDateTime = DateTime.Now.AddDays(2);
            task2.Duration = new TimeSpan(5, 0, 0, 0);
            task2.Name = "Task 2";
            ultraCalendarInfo1.Tasks.Add(task2);

            ultraCalendarInfo1.CustomTaskColumns.Add("MyColumn", typeof(int), false, 0);
            ultraGanttView1.GridSettings.ColumnSettings["MyColumn"].VisiblePosition = 2;
        }

        private void ultraGanttView1_InitializeTaskGridRow(object sender, Infragistics.Win.UltraWinGanttView.InitializeTaskGridRowEventArgs e)
        {
            if ((int)e.Task.GetCustomProperty("MyColumn") == 100)
            {
                e.Task.GridSettings.CellSettings["MyColumn"].Appearance.BackColor = Color.Red;
                e.Task.PercentComplete = (int)e.Task.GetCustomProperty("MyColumn");
            }
            else
            {
                e.Task.GridSettings.CellSettings["MyColumn"].Appearance.BackColor = Color.Yellow;
                e.Task.PercentComplete = (int)e.Task.GetCustomProperty("MyColumn");
            }
        }
    }
}
